<!--
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->

<div class="button-container col-md-12">
  <button id="quit" (click)="onClickEvents('quit')" type="button" class="btn btn-primary pull-left">{{Globals.STATUS_BUTTON_LABEL['quit']}}</button>

  <button id="reject" *ngIf="!hideRejectButton" (click)="onClickEvents('reject')" type="button" class="btn btn-primary pull-left">{{Globals.STATUS_BUTTON_LABEL['reject']}}</button>

  <button id="save" *ngIf="!hideSaveButton" (click)="onClickEvents('save')" type="button" class="btn btn-primary pull-right"
    [disabled]="!validForSave" title="{{ !validForSave ? 'Bitte Titel der Maßnahme ausfüllen' : ''}}">{{Globals.STATUS_BUTTON_LABEL['save']}}</button>

  <button id="statuschange" *ngIf="!noActivePositiveBtn" [disabled]="!validForm" (click)="onClickEvents(positiveStatusChange)"
    type="button" class="btn btn-primary pull-right btn-margin-right" title="{{ !validForm ? 'Bitte alle Pflichtfelder ausfüllen' : ''}}">{{positiveBtnLabel}}</button>

  <button id="duplicate" *ngIf="!hideDuplicateButtonForRole" (click)="onClickEvents('duplicate')" type="button" class="btn btn-primary pull-right btn-margin-right">{{Globals.STATUS_BUTTON_LABEL['duplicate']}}</button>

</div>